#
# spec file for package octave-forge-nan
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  nan
Name:           octave-forge-%{octpkg}
Version:        3.1.4
Release:        lp151.2.5
Summary:        A statistics and machine learning toolbox
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.2.0

%description
A statistics and machine learning toolbox for data with and w/o missing values.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
sed -i 's/-lblas/-l%{octave_blas}/g' %{octpkg}-%{version}/src/Makefile
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed Aug 23 2017 dmitry_r@opensuse.org
- Update to version 3.1.4
  * Minor changes and fixes, see `news nan` for details
- Drop oblosete:
  * nan-cpp11.patch
  * nan_xpt2d_add_return_for_BE.patch
* Sat Sep 17 2016 dmitry_r@opensuse.org
- Update to version 3.0.3
  * Bug fixes
- Fix build with GCC 4.8
  * nan-cpp11.patch
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 3.0.1
  * no changelog available
- Drop obsolete
  * nan-openmp.patch
  * nan-gcc.patch
* Tue Apr 12 2016 normand@linux.vnet.ibm.com
- new nan_xpt2d_add_return_for_BE.patch for ppc64 build
* Tue Jul  7 2015 dmitry_r@opensuse.org
- Update to version 2.8.1
  * Bugfix release
* Sat Jun 27 2015 dmitry_r@opensuse.org
- Update to version 2.8.0
  * check for sparse input matrices and convert to full if needed
  * improve accuracy of normcdf (bug #38170)
  * fix compiler issue with __isnan
  * do not display diagnostic messages
* Thu Apr 16 2015 dmitry_r@opensuse.org
- Update to version 2.7.4
  * use libsvm and liblinear of target system, instead of outdated copy
  * fix multi-threaded build (make -j)
  * improve some tests
  * bug fix in nanstd.m
  * minor issues (some compiler warnings are addressed)
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.7.1
- Fix build with OpenMP support
  * nan-openmp.patch
- Fix GCC warnings
  * nan-gcc.patch
